.. _cpp-reader:

******************************************************************************
:cpp:class:`pdal::Reader`
******************************************************************************

:cpp:class:`pdal::Reader` are classes that provided interfaces to various the
various point cloud formats and hands them off to a PDAL pipeline in a common
format that is described via the :cpp:class:`pdal::Schema`.

.. doxygenclass:: pdal::Reader
   :members:
    :undoc-members:

